﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ozeki.Common.Logger;
using Ozeki.VoIP.SIP.Logger;
using Ozeki.Common;

namespace MessageManipulatorExample
{
    class SIPMessageLogger : ILogger
    {
        /// <summary>
        /// SIP message received by the SIP Stack.
        /// </summary>
        public event EventHandler<GenericEventArgs<string>> SIPMessageReceived;

        /// <summary>
        /// SIP message sent by the SIP Stack.
        /// </summary>
        public event EventHandler<GenericEventArgs<string>> SIPMessageSent;

        public bool AllowedId(int id)
        {
            return false;
        }

        public void WriteLog(LogType logType, LogLevel level, int eventCode, string message)
        {
            if (eventCode == (int)LogCodes.IncomingSIPMessage)
            {
                if (SIPMessageReceived != null)
                    SIPMessageReceived(this, new GenericEventArgs<string>(string.Format("(IN) {0}", message)));
            }
            else if (eventCode == (int)LogCodes.OutgoingSIPMessage)
            {
                if (SIPMessageSent != null)
                    SIPMessageSent(this, new GenericEventArgs<string>(string.Format("(OUT) {0}", message)));
            }
        }
    }
}
